package org.ajax4jsf.model;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

public class ListShuttleConverter implements javax.faces.convert.Converter{

	public Object getAsObject(FacesContext context, UIComponent component,
			String value) {
		
		int index = value.indexOf(':');
		return new ListShuttleItem(Integer.valueOf(value.substring(0, index)), value.substring(index + 1));
	}

	public String getAsString(FacesContext context, UIComponent component,
			Object value) {
		ListShuttleItem optionItem = (ListShuttleItem) value;
		return optionItem.getNumder() + ":" + optionItem.getName();

	}

	
}